Bug 2147 - quotas completely hosed on sparc64
quotas completely hosed on sparc64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
6.0
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-12 16:41 EDT by David Miller
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-17 06:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Miller 1999-04-12 16:41:31 EDT
They cannot work with the current tools.

We do translate properly the quota system calls used
by the tools into the 64-bit kernel.  However, the
kernel uses a 64-bit time_t in the quota.user and
quota.group records, but the quota tools cannot grok
this.

This also points out another problem wrt. Alpha systems,
you cannot swap ext2 disks with quotas between 64-bit
and 32-bit systems, although it would work if you force
the quota database to be updated at the time of the disk
swap so the quota files are completely rebuilt on the new
system.

A solution will involve some hacks to the quota tools so
they understand the 64-bit kernel quota files.  This is
the fastest/easiest way towards a fix at this time.
Comment 1 David Miller 1999-04-17 06:27:59 EDT
Fixed in latest build via quota-1.66-6 which has my fixes
for this problem.

Note You need to log in before you can comment on or make changes to this bug.